Package owl.translations.ltl2ldba

## Class AbstractJumpManager<X extends RecurringObligation>

- java.lang.Object
- - owl.translations.ltl2ldba.AbstractJumpManager<X>

- Direct Known Subclasses:
    `FGObligationsJumpManager`, `GObligationsJumpManager`

      public abstract class AbstractJumpManager<X extends RecurringObligation>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Set<Formula>` | `blockingModalOperators` |
    `protected Set<LTL2LDBAFunction.Configuration>` | `configuration` |
    `protected EquivalenceClassFactory` | `factory` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractJumpManager​(Set<LTL2LDBAFunction.Configuration> configuration, EquivalenceClassFactory factory, Set<Formula> modalOperators, Formula initialFormula)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Jump<X>` | `buildJump​(EquivalenceClass remainder, X obligations)` |
    `protected abstract Set<Jump<X>>` | `computeJumps​(EquivalenceClass state)` |
    `protected static <X> Stream<X>` | `createDisjunctionStream​(EquivalenceClass state, Function<Formula,Stream<X>> streamBuilder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### factory

          protected final EquivalenceClassFactory factory

    - #### configuration

          protected final Set<LTL2LDBAFunction.Configuration> configuration

    - #### blockingModalOperators

          protected final Set<Formula> blockingModalOperators

  - ### Constructor Detail

    - #### AbstractJumpManager

          protected AbstractJumpManager​(Set<LTL2LDBAFunction.Configuration> configuration,
                                        EquivalenceClassFactory factory,
                                        Set<Formula> modalOperators,
                                        Formula initialFormula)

  - ### Method Detail

    - #### createDisjunctionStream

          protected static <X> Stream<X> createDisjunctionStream​(EquivalenceClass state,
                                                                 Function<Formula,Stream<X>> streamBuilder)

    - #### buildJump

          protected Jump<X> buildJump​(EquivalenceClass remainder,
                                      X obligations)

    - #### computeJumps

          protected abstract Set<Jump<X>> computeJumps​(EquivalenceClass state)